net::EapAuthSettings_3_0_0 Struct Reference

EAP authentication settings. More...

`import"Net.idl";`

## Public Attributes

string | identity
| EAP identity.
string | password
| EAP password (always empty on retrieval!)
boolean | clearPassword
| Set to `true` when password should be cleared.
string | clientCertChain
| client certificate chain
string | clientPrivKey
| client private key (always empty on retrieval!)
boolean | clearClientPrivKey
| Set to `true` to clear the client private key.
string | clientPrivKeyPassword
| password of client private key
EapOuterAuthMethod_2_0_0 | outerMethod
| Outer authentication method.
EapInnerAuthMethod_2_0_0 | innerMethod
| Inner authentication method.
string | caCertChain
| CA certificate chain.
boolean | forceTrustedCert
| Enforce trusted certificates.
boolean | allowOffTimeRangeCerts
| allow expired and not yet valid TLS certs
boolean | allowNotYetValidCertsIfTimeBeforeBuild
| allow not yet valid TLS certs if More...
string | authServerName
| Name of the RADIUS server (used to verify cert)

## Detailed Description

EAP authentication settings.

## Member Data Documentation

## allowNotYetValidCertsIfTimeBeforeBuild

boolean net::EapAuthSettings_3_0_0::allowNotYetValidCertsIfTimeBeforeBuild

allow not yet valid TLS certs if

the system time is before the build time

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Net.idl